import request from '@/utils/request'

// 查询绩效列表
export function listPerformance(query) {
  return request({
    url: '/ehr/pm/performance/list',
    method: 'get',
    params: query
  })
}

// 查询绩效详细
export function getPerformance(id) {
  return request({
    url: '/ehr/pm/performance/' + id,
    method: 'get'
  })
}

// 保存绩效
export function savePerformance(data) {
  return request({
    url: '/ehr/pm/performance/save',
    method: 'put',
    data: data
  })
}

// 填写完成
export function fillinFinish(data) {
  return request({
    url: '/ehr/pm/performance/fillinFinish',
    method: 'post',
    data: data
  })
}

//绩效确认
export function verify(data) {
  return request({
    url: '/ehr/pm/performance/verify',
    method: 'post',
    data: data
  })
}

// 自评完成
export function selfestimate(data) {
  return request({
    url: '/ehr/pm/performance/selfestimate',
    method: 'post',
    data: data
  })
}

// 上级评论
export function superiorevaluation(data) {
  return request({
    url: '/ehr/pm/performance/superiorevaluation',
    method: 'post',
    data: data
  })
}

// 查询当月绩效id
export function getCurrentMonthId() {
  return request({
    url: '/ehr/pm/performance/getCurrentMonthId',
    method: 'get'
  })
}

// 查询下月绩效id
export function getNextMonthId() {
  return request({
    url: '/ehr/pm/performance/getNextMonthId',
    method: 'get'
  })
}